Additional Services Enablement

This is a variant of POST /vas-enable — Order New POS Device; the request and responses below are the ones documented for Platforms & Marketplaces - Internal.

Credentials

Overview

This endpoint is used to enable additional services for a seller.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
payme_client_key string yes Your private key provided by us for authentication
seller_payme_id string yes Merchant's unique seller ID for correlation with us.
vas_payme_id string yes VAS's unique ID.

Request example

{
  "payme_client_key": "payme_partner_key",
  "seller_payme_id": "MPLDEMO-MPLDEMO-MPLDEMO-1234567",
  "vas_payme_id": "VASLDEMO-VASLDEMO-VASLDEMO-1234567"
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/vas-enable' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "payme_client_key": "payme_partner_key",
  "seller_payme_id": "MPLDEMO-MPLDEMO-MPLDEMO-1234567",
  "vas_payme_id": "VASLDEMO-VASLDEMO-VASLDEMO-1234567"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/vas-enable", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "payme_client_key": "payme_partner_key",
    "seller_payme_id": "MPLDEMO-MPLDEMO-MPLDEMO-1234567",
    "vas_payme_id": "VASLDEMO-VASLDEMO-VASLDEMO-1234567"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/vas-enable",
    json={
        "payme_client_key": "payme_partner_key",
        "seller_payme_id": "MPLDEMO-MPLDEMO-MPLDEMO-1234567",
        "vas_payme_id": "VASLDEMO-VASLDEMO-VASLDEMO-1234567",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "payme_client_key": "payme_partner_key",
  "seller_payme_id": "MPLDEMO-MPLDEMO-MPLDEMO-1234567",
  "vas_payme_id": "VASLDEMO-VASLDEMO-VASLDEMO-1234567"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/vas-enable');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — OK (success)

Field Type Description
status_code integer 0 success 1 failrue
seller_payme_id string Merchant's unique seller ID for correlation with us.
vas_payme_id string VAS's unique ID.
vas_description string Description of the value add service.
vas_type string The type of the value add service.
vas_name string The name of the value add service.
vas_api_key string The API key of the value add service.
vas_guid string The guid of the value add service.
vas_is_active boolean - True = Active - False = Not active
vas_payer_type integer The payer type
vas_price_currency string VAS fee currency
vas_price_setup_fixed integer VAS setup price (fixed)
vas_price_periodic_fixed integer VAS periodic price (fixed)
vas_price_periodic_variable string VAS periodic price (fixed)
vas_price_usage_fixed integer VAS usage price (fixed)
vas_price_usage_variable string VAS usage price (fixed)
vas_market_fee string VAS market fee
vas_period integer VAS period | Code ----|---- Instant | 1 Daily | 2 Monthly | 3 Yearly | 4
vas_data array Data that saved under the VAS
{
  "status_code": 0,
  "seller_payme_id": "MPL16861-35251ZB5-PLVPEMCW-ZUAQJBQO",
  "vas_payme_id": "VASL1686-135251TI-AHM232QO-N8HLK3XQ",
  "vas_description": "שירותי מקדמה (זיכוי מהיר ו\\או ניכוי)",
  "vas_type": "Settlements",
  "vas_name": null,
  "vas_api_key": null,
  "vas_guid": "VASL1686-135251TI-AHM232QO-N8HLK3XQ",
  "vas_is_active": true,
  "vas_payer_type": 2,
  "vas_price_currency": "ILS",
  "vas_price_setup_fixed": 0,
  "vas_price_periodic_fixed": 0,
  "vas_price_periodic_variable": "0.00",
  "vas_price_usage_fixed": 0,
  "vas_price_usage_variable": "0.00",
  "vas_market_fee": null,
  "vas_period": 1,
  "vas_data": []
}

500 — Wrong Client Key (error)

Field Type Description
status_code integer
status_error_details string
status_additional_info string
status_error_code integer
session string
{
  "status_code": 1,
  "status_error_details": "שירות לא נמצא",
  "status_additional_info": "payme_client_key",
  "status_error_code": 200,
  "session": "a06XGNYX"
}